Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.item
Class JdbcProductItemManagerImpl

    java.lang.Object
      com.beasys.commerce.foundation.SessionImpl
          com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
              com.beasys.commerce.ebusiness.catalog.service.JdbcCatalogServiceImpl
                  com.beasys.commerce.ebusiness.catalog.service.item.JdbcProductItemManagerImpl

All Implemented Interfaces:
  EnterpriseBean, Serializable, SessionBean

public class JdbcProductItemManagerImpl
extends JdbcCatalogServiceImpl

The implementation class for the `JdbcProductItemManager` Session EJB.

See Also:
  `JdbcProductItemManager`, `JdbcProductItemManagerHome`, Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.ebusiness.catalog.service.JdbcCatalogServiceImpl
`DATA_SOURCE_NAME, SCHEMA_FILE_NAME, SQL_MANAGER_CLASS`

Fields inherited from class com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
`CATALOG_MANAGER_HOME`

Fields inherited from class com.beasys.commerce.foundation.SessionImpl
`_ctx, _environmentNamingContext, _environmentPropertyCache, _isDirty`

Constructor Summary
`JdbcProductItemManagerImpl()`

Method Summary
`void` | `createItem(CatalogRequest request, ProductItem product)` Creates a new product item.
`void` | `ejbActivate()` ejbActivate method.
`void` | `ejbCreate()` ejbCreate method.
`void` | `ejbPassivate()` ejbPassivate method.
`void` | `ejbPostCreate()` ejbPostCreate method.
`void` | `ejbRemove()` ejbRemove method.
`ProductItem` | `getItem(CatalogRequest request, ProductItemKey productKey)` Returns the product item with the specified key.
`int` | `getItemCount(CatalogRequest request)` Returns the number of product items in the product catalog.
`ProductItemKey[]` | `getItemKeys(CatalogRequest request, int beginIndex, int endIndex)` Returns an array over all existing product item keys within the specified ordered range.
`ViewIterator` | `getItems(CatalogRequest request, int viewSize)` Returns a ViewIterator over all existing product items.
`ProductItem[]` | `getItems(CatalogRequest request, ProductItemKey[] productKeys)` Returns the product items with the given product item keys.
`String[]` | `getKeywords(CatalogRequest request, ProductItemKey productKey)` Returns the keywords associated with a given product item.
`void` | `removeItem(CatalogRequest request, ProductItemKey productKey)` Removes a product item.
`void` | `setKeywords(CatalogRequest request, ProductItemKey productKey, String[] keywords)` Sets the keywords for a given product item.
`void` | `setSessionContext(SessionContext ctx)` setSessionContext method.
`void` | `updateItem(CatalogRequest request, ProductItem product)` Updates a product item.

Methods inherited from class com.beasys.commerce.ebusiness.catalog.service.JdbcCatalogServiceImpl
`getCatalogSchemaName, getCatalogSqlManager, getCatalogSqlManager, getCatalogSqlManagerName, getDatabaseConnection, getJdbcCatalogFactory`

Methods inherited from class com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
`getCatalogManager, getCatalogManagerJndiName, validateAuthorization`

Methods inherited from class com.beasys.commerce.foundation.SessionImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, getEnvironmentNamingContext, getEnvironmentProperty, getEnvironmentProperty, getEnvironmentPropertyCache, getPersistenceHelperPlugin, getSessionContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JdbcProductItemManagerImpl

    public JdbcProductItemManagerImpl()

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws CreateException

  Description copied from class: `SessionImpl`
  ejbCreate method.

  Overrides:
    `ejbCreate` in class `JdbcCatalogServiceImpl`
  Throws:
    `CreateException`

### ejbPostCreate

    public void ejbPostCreate()
                       throws CreateException

  Description copied from class: `SessionImpl`
  ejbPostCreate method.

  Overrides:
    `ejbPostCreate` in class `JdbcCatalogServiceImpl`
  Throws:
    `CreateException`

### ejbActivate

    public void ejbActivate()
                     throws EJBException

  Description copied from class: `SessionImpl`
  ejbActivate method.

  Specified by:
    `ejbActivate` in interface `SessionBean`
  Overrides:
    `ejbActivate` in class `JdbcCatalogServiceImpl`
  Throws:
    `EJBException`

### ejbPassivate

    public void ejbPassivate()
                      throws EJBException

  Description copied from class: `SessionImpl`
  ejbPassivate method.

  Specified by:
    `ejbPassivate` in interface `SessionBean`
  Overrides:
    `ejbPassivate` in class `JdbcCatalogServiceImpl`
  Throws:
    `EJBException`

### ejbRemove

    public void ejbRemove()
                   throws EJBException

  Description copied from class: `SessionImpl`
  ejbRemove method.

  Specified by:
    `ejbRemove` in interface `SessionBean`
  Overrides:
    `ejbRemove` in class `JdbcCatalogServiceImpl`
  Throws:
    `EJBException`

### setSessionContext

    public void setSessionContext(SessionContext ctx)
                           throws EJBException

  Description copied from class: `SessionImpl`
  setSessionContext method.

  Specified by:
    `setSessionContext` in interface `SessionBean`
  Overrides:
    `setSessionContext` in class `JdbcCatalogServiceImpl`
  Throws:
    `EJBException`

### getItemCount

    public int getItemCount(CatalogRequest request)
                     throws CatalogException

  Returns the number of product items in the product catalog.

  Parameters:
    `request` - The catalog request object
  Returns:
    The number of product items in the product catalog.
  Throws:
    `CatalogException` - on general error.

### getItem

    public ProductItem getItem(CatalogRequest request,
                               ProductItemKey productKey)
                        throws CatalogFinderException,
                               CatalogException

  Returns the product item with the specified key.

  Parameters:
    `request` - The catalog request object.
    `productKey` - The key of the target product.
  Throws:
    `CatalogFinderException` - if the product item could not be found.
    `CatalogException` - on general error.

### getItems

    public ProductItem[] getItems(CatalogRequest request,
                                  ProductItemKey[] productKeys)
                           throws CatalogFinderException,
                                  CatalogException

  Returns the product items with the given product item keys.

  Parameters:
    `request` - The catalog request object.
  Returns:
    The product items with the given product item keys.
  Throws:
    `CatalogFinderException` - if a product item with a given key does not exist.
    `CatalogException` - on general error.

### getItemKeys

    public ProductItemKey[] getItemKeys(CatalogRequest request,
                                        int beginIndex,
                                        int endIndex)
                                 throws CatalogException

  Returns an array over all existing product item keys within the specified ordered range.

  Parameters:
    `request` - The catalog request object.
    `beginIndex` - The lower bound index for returned product item keys.
    `endIndex` - The upper bound index for returned product item keys.
  Returns:
    An array of the product item keys.
  Throws:
    `CatalogException` - on general error.

### getItems

    public ViewIterator getItems(CatalogRequest request,
                                 int viewSize)
                          throws CatalogException,
                                 RemoteException

  Returns a ViewIterator over all existing product items.

  Parameters:
    `request` - The catalog request object.
    `viewSize` - The view size of the returned ViewIterator.
  Returns:
    A ViewIterator over all existing product items.
  Throws:
    `CatalogException` - on general error.
    `RemoteException`

### getKeywords

    public String[] getKeywords(CatalogRequest request,
                                ProductItemKey productKey)
                         throws CatalogFinderException,
                                CatalogException

  Returns the keywords associated with a given product item.

  Parameters:
    `request` - The catalog request object.
    `productKey` - The key of the target product.
  Returns:
    The keywords associated with the given product item. If there are no keywords associated with the item, a zero length <code>String</code> array is returned.
  Throws:
    `CatalogFinderException` - if the product item could not be found.
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### setKeywords

    public void setKeywords(CatalogRequest request,
                            ProductItemKey productKey,
                            String[] keywords)
                     throws CatalogFinderException,
                            CatalogException

  Sets the keywords for a given product item.

  Parameters:
    `request` - The catalog request object.
    `productKey` - The key of the target product.
    `keywords` - The keywords to associate with the given product item.
  Throws:
    `CatalogFinderException` - if the product item could not be found.
    `CatalogException` - on general error.
    `SQLException` - on database access error.

### createItem

    public void createItem(CatalogRequest request,
                           ProductItem product)
                    throws CatalogCreateException,
                           CatalogException

  Creates a new product item.

  Parameters:
    `request` - The catalog request object.
    `product` - The product item to persist.
  Throws:
    `CatalogCreateException` - if the product item could not be created.
    `CatalogException` - on general error.

### updateItem

    public void updateItem(CatalogRequest request,
                           ProductItem product)
                    throws CatalogFinderException,
                           CatalogException

  Updates a product item.

  Parameters:
    `request` - The catalog request object.
    `product` - The product item to update.
  Throws:
    `CatalogFinderException` - if the product item could not be found.
    `CatalogException` - on general error.

### removeItem

    public void removeItem(CatalogRequest request,
                           ProductItemKey productKey)
                    throws CatalogRemoveException,
                           CatalogFinderException,
                           CatalogException

  Removes a product item.

  Parameters:
    `request` - The catalog request object.
  Throws:
    `CatalogRemoveException` - if the product item could not be removed.
    `CatalogFinderException` - if the product item could not be found.
    `CatalogException` - on general error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved